# Glib::SpawnError Class Reference
[Spawning Processes]

Exception class for errors occuring when spawning processes. More...

Inherits Glib::Error.

Collaboration diagram for Glib::SpawnError:
[legend]

List of all members.

## Public Types
enum | Code { FORK, READ, CHDIR, ACCES, PERM, TOOBIG, NOEXEC, NAMETOOLONG, NOENT, NOMEM, NOTDIR, LOOP, TXTBUSY, IO, NFILE, MFILE, INVAL, ISDIR, LIBBAD }
## Public Member Functions
| SpawnError (Code error_code, const Glib::ustring& error_message)
| SpawnError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for errors occuring when spawning processes.

## Member Enumeration Documentation

enum Glib::SpawnError::Code

Enumerator:

  FORK |
  READ |
  CHDIR |
  ACCES |
  PERM |
  TOOBIG |
  NOEXEC |
  NAMETOOLONG |
  NOENT |
  NOMEM |
  NOTDIR |
  LOOP |
  TXTBUSY |
  IO |
  NFILE |
  MFILE |
  INVAL |
  ISDIR |
  LIBBAD |

## Constructor & Destructor Documentation

Glib::SpawnError::SpawnError | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Glib::SpawnError::SpawnError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::SpawnError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- glibmm/spawn.h